Jasmine International Public Company Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1727654400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://jas.listedcompany.com/newsroom/131120242121330723E.pdf",
    "holding_balance": 333.5,
    "holding_net_change": 333.5,
    "transaction_value_usd": 20509635.0,
    "average_entry_value_usd": 61498.16,
    "transaction_value_calculated": false
  },
  {
    "date": 1735603200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://weblink.set.or.th/dat/news/202502/0418NWS260220252030270019E.pdf",
    "holding_balance": 506.4,
    "holding_net_change": 173.0,
    "transaction_value_usd": 17301187.0,
    "average_entry_value_usd": 100006.86,
    "transaction_value_calculated": false
  },
  {
    "date": 1751241600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://core.shareinvestor.app/documents/viewer/jas/financials/0418FIN130820252109440073E/NOTES.DOC",
    "holding_balance": 8.66,
    "holding_net_change": -497.79,
    "transaction_value_usd": 53364715.77330001,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    8.66
  ],
  [
    1779062400000,
    8.66
  ],
  [
    1779148800000,
    8.66
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    670542.5876
  ],
  [
    1779062400000,
    666337.3782
  ],
  [
    1779148800000,
    664741.6866
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.12,
    "date": "2026-05-15",
    "high": 1.14,
    "open": 1.13,
    "close": 1.12,
    "volume": 9291517
  },
  {
    "low": 1.11,
    "date": "2026-05-18",
    "high": 1.13,
    "open": 1.12,
    "close": 1.12,
    "volume": 6490479
  },
  {
    "low": 1.12,
    "date": "2026-05-19",
    "high": 1.14,
    "open": 1.13,
    "close": 1.14,
    "volume": 4221834
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 8.325,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 1.79,
  "six_month_return": -16.18,
  "three_month_return": -16.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/jasmine-international-public-company-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}